%define module_name Parse-PayPal-TxFinderReport
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DateTime.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/BOM.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IO/Scalar.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(String/BOM.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Text/CSV.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt1
Summary: Parse PayPal transaction detail report into data structure
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Parse-PayPal-TxFinderReport

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
PayPal provides various kinds reports which you can retrieve from their website
under Reports menu. This module provides routine to parse PayPal transaction
finder report into a Perl data structure (from the website under Reports >
Transactions > Transaction finder). The CSV format is supported. No official
documentation of the format is available, but it's mostly regular CSV.

Some characteristics of this report:

=over

=item * Date is MM/DD/YYYY only without hour/minute/second information

=item * No transaction status field

=back
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/P*

%changelog
* Fri Nov 09 2018 Igor Vlasenko <viy@altlinux.ru> 0.003-alt1
- regenerated from template by package builder

* Wed Aug 02 2017 Igor Vlasenko <viy@altlinux.ru> 0.002-alt1
- regenerated from template by package builder

* Sat Dec 31 2016 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1
- initial import by package builder

